Bug 609739 - Broken dependency of tracker-search-tool on libedataserver prevents upgrades
Summary: Broken dependency of tracker-search-tool on libedataserver prevents upgrades
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 13
Hardware: All
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-30 23:53 UTC by Andre Costa
Modified: 2010-07-01 00:59 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-07-01 00:59:54 UTC


Attachments (Terms of Use)

Description Andre Costa 2010-06-30 23:53:30 UTC
Description of problem:
tracker-search-tool depends on libedataserver-1.2.so.11, which isn't provided by last evolution-data-server. This makes it impossible to perform required Fedora upgrades unless tracker-search-tool is removed, which is bad because it defeats the purpose of having tracker installed in the first place.

Version-Release number of selected component (if applicable):
0.8.4-1.fc13

How reproducible:
Always

Steps to Reproduce:
1. yum install tracker-search-tool
2.
3.
  
Actual results:
Loaded plugins: presto, refresh-packagekit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package tracker-search-tool.x86_64 0:0.8.4-1.fc13 set to be updated
--> Processing Dependency: libedataserver-1.2.so.11()(64bit) for package: tracker-search-tool-0.8.4-1.fc13.x86_64
--> Finished Dependency Resolution
Error: Package: tracker-search-tool-0.8.4-1.fc13.x86_64 (fedora)
           Requires: libedataserver-1.2.so.11()(64bit)
           Available: evolution-data-server-2.30.1-2.fc13.x86_64 (fedora)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Expected results:
tracker-serch-tool should be installed along with latest evolution-data-server package (evolution-data-server-2.30.2-2.fc13.x86_64)

Additional info:
evolution-data-server-2.30.2-2 provides /usr/lib64/libedataserver-1.2.so.13

Comment 1 Deji Akingunola 2010-07-01 00:59:54 UTC
Fix already available in updates-testing repo.


Note You need to log in before you can comment on or make changes to this bug.